package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArTaskBo;
import org.dromara.inspection.domain.vo.ArTaskVo;

import java.util.Collection;
import java.util.List;

/**
 * 巡检任务模板Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArTaskService {

    /**
     * 查询单个
     *
     * @return
     */
    ArTaskVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArTaskVo> queryPageList(ArTaskBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArTaskVo> queryList(ArTaskBo bo);

    /**
     * 根据新增业务对象插入巡检任务模板
     *
     * @param bo 巡检任务模板新增业务对象
     * @return
     */
    Boolean insertByBo(ArTaskBo bo);

    /**
     * 根据编辑业务对象修改巡检任务模板
     *
     * @param bo 巡检任务模板编辑业务对象
     * @return
     */
    Boolean updateByBo(ArTaskBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
